<?php
/********************************************************************
  File : fonctions.php
  Function : functions library 
  Version : 1.0

  This file is part of Goolag.
  Copyright 2005 Alexis du Saussay
  http://www.asabox.com/goolag

  Goolag is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Goolag is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
********************************************************************/

//------ recuperation d'une variable par URL ou par Form  -----
function recupvariable($variable,$defaut='') {
	if (isset($_GET[$variable])) {
		$dummy=$_GET[$variable];
		} 
	else {
		if (isset($_POST[$variable])) {
			$dummy=$_POST[$variable];
			} 
		else {
			$dummy=$defaut;
			}
		}
	return trim($dummy);
}	
	
//----- conversion d'une date Windows en date Unix  
function convertirdate ($timestampwindows) {
	$timestampwindows = substr($timestampwindows,0,strlen($timestampwindows)-7); // divide by 10 000 000 to get seconds
	$timestampunix = ($timestampwindows - 11644473600); // 1.1.1600 -> 1.1.1970 difference in seconds
	return strftime( "%c",$timestampunix );
}
//writelog('  ', 'file_name');
function writelog($mess="", $name="info_error"){
	if(strlen(trim($mess)) < 2){return false;}
	if(preg_match("/^.([_a-z0-9A-Z]+)$/i", $name, $matches)){
		$file_path=$_SERVER['DOCUMENT_ROOT'].'/logs/'.$name.'.log';
		$text = date("d.m.Y (H:i:s)")." - ".$_SERVER["REMOTE_ADDR"]." :"."\t".$mess."\r\n";
		$handle = fopen($file_path, "a+");
		@flock ($handle, LOCK_EX);
		fwrite ($handle, $text);
		@flock ($handle, LOCK_UN);
		fclose($handle);
		return true;
	}
	else{return false;}
	}
?>